# Create a QR code

Method: <mark style="background-color:green;">**POST**</mark>

```
https://app.acheck.co.uk/api/1.1/wf/createqrcode-v3
```

Headers

| Key           | Value                 |
| ------------- | --------------------- |
| Content-Type  | application/json      |
| Authorization | Bearer YOUR\_API\_KEY |

Body

```json
{
  "data": {
    "reqApiKey": "YOUR_API_KEY",
    "schemaID":"SCHEMA_ID",
    "F1": "VALUE_1",
    "F2": "VALUE_2",
    "F3": "VALUE_3",
    "F4": "VALUE_4",
    "F5": "VALUE_5"
  }
}
```

## Examples

Example request

{% code overflow="wrap" %}

```json
curl --location --request POST 'https://app.acheck.co.uk/api/1.1/wf/createqrcode-v3' \
--header 'Authorization: Bearer 1663434585997x869404475086643604' \
--header 'Content-Type: application/json' \
--data-raw '{
  "data": {
    "reqApiKey": "1663434585997x869404475086643604",
    "schemaID":"RLGKAUXC1VJD",
    "F1": "Ralph",
    "F2": "Hutter",
    "F3": "17/06/1958",
    "F4": "Standard",
    "F5": "13:30"
  }
}'
```

{% endcode %}

Example successful 200 response

{% code overflow="wrap" %}

```json
{
    "status": "success",
    "response": {
        "qrcode": "https://s3.amazonaws.com/appforest_uf/f1663498800980x363454703066590460/aCheck_WxK4koYX1tgAKvCU1jLWXkFUu9Qt3hHVyppm.png",
        "F1-val": "Ralph",
        "F2-val": "Hutter",
        "F3-val": "17/06/1958",
        "F4-val": "Standard",
        "F5-val": "13:30",
        "F1-label": "First name",
        "F2-label": "Last name",
        "F3-label": "Date of Birth",
        "F4-label": "Seating allocation",
        "F5-label": "Arrival time",
        "SchemaID": "RLGKAUXC1VJD",
        "Schema-name": "Big Summer Festival",
        "Schema-ods": "ECIIV Entertain",
        "Schema-logo": "https://app.acheck.co.uk/fileupload/f1663252378336x499002229687720100/weff.png",
        "QRID": "WxK4koYX1tgAKvCU1jLWXkFUu9Qt3hHVyppm",
        "Check-url": "https://app.acheck.co.uk/check/?qrid=WxK4koYX1tgAKvCU1jLWXkFUu9Qt3hHVyppm",
        "Expiry d-m-y": "26-07-2024",
        "Message": "QR code successfully created"
    }
}s
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://acheck.gitbook.io/help/guides/create-qr-codes/api-documentation/create-a-qr-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
